<div class="row">
  <div class="col-12">
    <div *ngIf="repository"
         class="card">
      <div class="card-header">
        <a routerLink="/"
           class="btn btn-outline-secondary pi pi-arrow-left"></a>
      </div>
      <div class="card-body">
        <div class="row">
          <ul class="list-group col-12 col-md-4">
            <li class="list-group-item">
              <b>Author: </b>
              {{repository['owner']['login']}}
            </li>
            <li class="list-group-item">
              <b>Created: </b>
              {{repository['created_at'] | date:"dd/MM/yyyy"}}
            </li>
            <li class="list-group-item">
              <b>Changed: </b>
              {{repository['pushed_at'] | date:"dd/MM/yyyy"}}
            </li>
            <li class="list-group-item">
              <b>Language: </b>
              {{repository['language']}}
            </li>
          </ul>
          <div class="col-12 col-md-8">
            <h4 class="card-title">{{repository['full_name']}}</h4>
            <p class="card-text">{{repository['description']}}</p>
            <a [href]="repository['html_url']" class="btn btn-outline-primary" target="_blank">Go to repository</a>
          </div>
        </div>
      </div>
    </div>
    <div *ngIf="!repository"
         class="col-12 text-center">
      <p-progressSpinner></p-progressSpinner>
    </div>
  </div>
</div>
